<template>
  <v-dialog v-model="dialog" width="50%">
    <template v-slot:activator="{ on, attrs }">
      <v-btn color="primary" dark v-bind="attrs" v-on="on">Edit<v-icon right dark>mdi-file-document-edit</v-icon></v-btn>
    </template>
    <v-card style="height: 75vh">
      <vue-json-editor
        :value="json"
        :show-btns="false"
        :expandedOnStart="true"
        @json-change="$emit('update:json', $event)"
        style="height: 100%"
        /></v-card
  ></v-dialog>
</template>

<script>
import vueJsonEditor from "vue-json-editor";
export default {
  name: "Editor",
  props: ["json"],
  components: {
    vueJsonEditor,
  },
  data: () => ({
    dialog: false
  })
};
</script>

<style>
div.jsoneditor-field {
  font-size: 12pt;
  color: var(--v-primary-base);
}
div.jsoneditor-value.jsoneditor-number {
  font-size: 12pt;
  color: var(--v-warning-base);
}
div.jsoneditor-menu {
  background-color: var(--v-primary-base);
  border-bottom: var(--v-primary-base);
}
div.jsoneditor {
  border: 1px solid var(--v-primary-base);
}
.jsoneditor-vue {
  height: 100%;
}
</style>